Intellij idea 出现错误 error:java: 无效的源发行版: 8解决方法

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/leixingbang1989/article/details/51985601



原因:这是由于jdk的版本与项目的要求不一致造成的,如果是maven项目,首先查看一下pom.xml,以我的项目为例:


<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<compilerVersion>1.8</compilerVersion>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
	</build>

从其中可以看出要求的编译插件为1.8版本,而我本机上安装的jdk为1.7版本,因此需要首先下载安装1.8版本的jdk下载链接为

jdk下载链接

然后在intellij idea中点击标红的部分,进入项目的jdk设置,,最后选择对应的jdk路径即可:


参考博客地址:http://stackoverflow.com/questions/25878045/errorjava-invalid-source-release-8-in-intellij-what-does-it-mean


展开阅读全文

没有更多推荐了,返回首页